/* This is the help section */
#include <stdio.h>
#include "ed.h"

#define UPAROW  EXTKY|72
#define DNAROW  EXTKY|80
#define PAGEUP  EXTKY|73
#define PAGEDN  EXTKY|81
#define RETCODE CTRL|'M'

static char hfname[] ="emacs.hlp";

help(f,n)
int f,n;
    {
    register int s;
    register BUFFER *cbp;
    register int kcode;
    extern int sgarbf;
    int getkey();
    int forwline();
    int backline();
    int backpage();
    int forwpage();
    
    /* save current buffer pointer */
    cbp = curbp;
    /* now visit the help file */
    flvisit("emacs.hlp");
    sgarbf = TRUE;
    update();
    /* this loop allows the user to browse the help file */
    /* the only keystrokes that are active are the uparrow,downarrow,
       pageup,pagedown, and return keys. all other keys do nothing */

    kcode=getkey();
    while (kcode != (RETCODE))
        {
        switch (kcode)
            {
            case UPAROW:  backline(f,1);
                          break;

            case DNAROW:  forwline(f,1);
                          break;

            case PAGEUP:  backpage(f,1);
                          break;

            case PAGEDN:  forwpage(f,1);
                          break;

            default:
                          break;
            }
        update();
        kcode = getkey();
        }
    s = flvisit(cbp->b_fname);
    }
